Get a dashboard
curl --request GET \
--url https://app.usertick.com/api/public/v1/dashboards/{dashboardId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/dashboards/{dashboardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/dashboards/{dashboardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>",
"visibility": "organization",
"isDefault": true,
"pinned": true,
"readOnlyByPlan": true,
"hasUnpublishedChanges": true,
"editable": true,
"cards": [
{
"id": "<string>",
"kind": "question",
"widgetType": "<string>",
"title": "<string>",
"surveyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"questionId": "<string>",
"metric": "responses",
"dimension": "country",
"granularity": "day",
"derived": "nps",
"target": 0,
"when": "below",
"text": "<string>",
"position": {
"x": 5,
"y": 50000
},
"size": {
"w": 6,
"h": 25
},
"extraSettings": true,
"aiGenerated": true,
"surveyMissing": true
}
],
"url": "<string>",
"createdAt": "2026-09-30T10:00:00.000Z",
"updatedAt": "2026-09-30T10:00:00.000Z",
"aiGenerated": true,
"aiGeneratedAt": "2026-09-30T10:00:00.000Z"
}
Get a dashboard
A dashboard as its viewers see it, with its published cards in the typed shape. A board the organization doesn’t have, or a private one the credential can’t open, is 404 PUB-015-001.
Scopes: dashboards:read.
GET
/
dashboards
/
{dashboardId}
Get a dashboard
curl --request GET \
--url https://app.usertick.com/api/public/v1/dashboards/{dashboardId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/dashboards/{dashboardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/dashboards/{dashboardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>",
"visibility": "organization",
"isDefault": true,
"pinned": true,
"readOnlyByPlan": true,
"hasUnpublishedChanges": true,
"editable": true,
"cards": [
{
"id": "<string>",
"kind": "question",
"widgetType": "<string>",
"title": "<string>",
"surveyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"questionId": "<string>",
"metric": "responses",
"dimension": "country",
"granularity": "day",
"derived": "nps",
"target": 0,
"when": "below",
"text": "<string>",
"position": {
"x": 5,
"y": 50000
},
"size": {
"w": 6,
"h": 25
},
"extraSettings": true,
"aiGenerated": true,
"surveyMissing": true
}
],
"url": "<string>",
"createdAt": "2026-09-30T10:00:00.000Z",
"updatedAt": "2026-09-30T10:00:00.000Z",
"aiGenerated": true,
"aiGeneratedAt": "2026-09-30T10:00:00.000Z"
}
Authorizations
bearerAuthapiKeyHeader
Response
The dashboard.
Last modified on November 9, 2026